List Hooks
Query Parameters
- Type: enumentity
_type valuesdealscompaniespeopleleads
Responses
- application/json
- application/json
Request Example for get/event_hooks/
curl https://crm.dreamhub.ai/api/v1/settings/event_hooks/ \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
{
"id": "string",
"name": "string",
"description": "string",
"entityType": "deals",
"httpMethod": "POST",
"endpointUrl": "string",
"timeoutSeconds": 1,
"headers": {
"additionalProperty": "string"
},
"authType": "string",
"authConfig": {
"token": "string"
},
"fieldMappings": {
"additionalProperty": "string"
},
"valueMappings": {
"additionalProperty": {
"additionalProperty": "string"
}
},
"createdAt": "2026-11-12T20:59:17.477Z",
"isDeleted": true
}
]
